%define		status		stable
%define		pearname HTML_QuickForm
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - methods for creating, validating, processing HTML forms
Summary(pl.UTF-8):	%{pearname} - metody do tworzenia, kontroli i przetwarzania formularzy HTML
Name:		php-pear-%{pearname}
Version:	3.2.13
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	88ed99cc2d6a1fd3b066b3941c7d0a8f
URL:		http://pear.php.net/package/HTML_QuickForm/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.2
Requires:	php-pear >= 4:1.0-9.1
Requires:	php-pear-HTML_Common >= 1.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_QuickForm package provides methods for creating,
validating, processing HTML forms. Features:
- Creates xHTML compliant form elements of various type.
- Allows you to choose an unlimited number of html attributes.
- Allows you to create your own custom elements using your own
  classes.
- Process form values (you should override the process method).
- Creates javascript validation code using regular expression.
- Server-side validation too.
- Allows you to create your own validation rules.
- Manages file uploads.
- Allows you to freeze some elements in your form.
- Allows you to customize the look of your form in many ways.
- Template-like form elements customization...

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa HTML_QuickForm zawiera metody to tworzenia, kontroli poprawności
i przetwarzania formularzy HTML. Cechy:
- tworzy elementy formularzy różnego typu zgodnie z xHTML
- pozwala na wybór nieograniczonej liczby atrybutów HTML
- pozwala tworzyć własne elementy przy użyciu własnych klas
- przetwarza wartości z formularzy (należy podmienić metodę process)
- tworzy kod sprawdzający w JavaScripcie przy użyciu wyrażeń
  regularnych
- kontroluje poprawność wprowadzonych danych także po stronie serwera
- pozwala na tworzenie własnych reguł kontrolujących poprawność
- obsługuje upload plików
- pozwala na "zamrożenie" niektórych elementów formularza
- pozwala na zmianę wyglądu formularza na wiele sposobów
- modyfikacja elementów formularzy poprzez wzorce.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
mv docs/HTML_QuickForm/docs examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php
%{php_pear_dir}/HTML/QuickForm/*.php
%dir %{php_pear_dir}/HTML/QuickForm/Renderer
%{php_pear_dir}/HTML/QuickForm/Renderer/*.php
%dir %{php_pear_dir}/HTML/QuickForm/Rule
%{php_pear_dir}/HTML/QuickForm/Rule/*.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 322ba43
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> 91ae70c
- up to 3.2.13

* Fri Jan 07 2011 Elan Ruusamäe <glen@pld-linux.org> 27442a5
- fix for year 2011 bug

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 40c041b
- updated to: 3.2.12

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 9affcca
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 921a6d0
- updated to: 3.2.11

* Wed Jun 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c6d8e
- up to 3.2.10

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> feafc6d
- rel 2

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> fb40299
- updated to 3.2.9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 75bef21
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4dcf01b
- converted to UTF-8

* Wed Oct 25 2006 Elan Ruusamäe <glen@pld-linux.org> 83800d5
- 3.2.7

* Wed Oct 25 2006 Elan Ruusamäe <glen@pld-linux.org> b10d606
- moved examples to examplesdir from docs; rel 2

* Mon Jun 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 62cc324
- updated to 3.2.6

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> b1ea1b7
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> e12ac85
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 5e622f4
- BR php-pear-PEAR

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 7052611
- rel 3

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 8511af4
- resolve duplicate HTML/QuickForm

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 040a8ba
- rel 2

